{% macro list(catalogs) %}

    {% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
    {% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}

    {% if catalogs|length > 0 %}
        <table class="sylius-products-table table table-bordered">
            <thead>
            <tr>
                <th class="id">{{ sylius_resource_sort('id', '#id') }}</th>
                <th class="info">{{ sylius_resource_sort('name', 'Name') }}</th>
                <th class="info">{{ sylius_resource_sort('active', 'Active') }}</th>
                <th class="updated-at">{{ sylius_resource_sort('locale', 'Locale') }}</th>
                <th class="info">{{ sylius_resource_sort('category', 'Category') }}</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for catalog in catalogs %}
                <tr id="{{ catalog.id }}">
                    <td class="id">
                        {{ catalog.id }}
                    </td>
                    <td class="info">
                        <div class="media">
                            <a href="{{ path('elbotrade_catalog_backend_show', {'id': catalog.id}) }}" class="pull-left"
                               title="Details">
                                {% if catalog.firstImage %}
                                    {% thumbnail catalog.firstImage, 'small' %}
                                {% else %}
                                    <img src="http://placehold.it/50x40" alt="" class="imgmedia-object" />
                                {% endif %}
                            </a>
                            <div class="media-body">
                                <h5 class="media-heading">
                                    <a class="name"
                                       href="{{ path('elbotrade_catalog_backend_show', {'id': catalog.id}) }}"
                                       title="Details">
                                        {{ catalog.name }}
                                    </a>
                                </h5>
                            </div>
                        </div>
                    </td>
                    <td class="info">
                        <em>{% if catalog.active == true %}<span class="glyphicon glyphicon-ok"></span>{% else %}<span class="glyphicon glyphicon-remove"></span>{% endif %}</em>
                    </td>
                    <td class="info">
                        <em>{{ catalog.locale }}</em>
                    </td>
                    <td class="info">
                        <em>{% if catalog.category is not null %}<a href="{{ path('elbotrade_catalog_category_backend_show', {'id': catalog.category.id}) }}">{{ catalog.category }}</a>{% endif %}</em>
                    </td>
                    <td class="center-text">
                        {{ buttons.edit(path('elbotrade_catalog_backend_update', {'id': catalog.id})) }}
                        {{ buttons.delete(path('elbotrade_catalog_backend_delete', {'id': catalog.id})) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        {{ alerts.info('Žádny katalog k zobrazení.') }}
    {% endif %}

{% endmacro %}
